/*
    ichatawaydialog.cpp - Away dialog for iChat

    Copyright (c) 2003 by Till Gerken <till@tantalo.net>
    Kopete    (c) 2003 by the Kopete developers  <kopete-devel@kde.org>

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/

#include <kdebug.h>
#include "ichataccount.h"
#include "ichatawaydialog.h"

iChatAwayDialog::iChatAwayDialog(iChatAccount *account, QWidget* parent, const char* name):
									KopeteAwayDialog(parent, name)
{

	m_account = account;

}

iChatAwayDialog::~iChatAwayDialog()
{
}

void iChatAwayDialog::setAway(int awayType)
{

	switch(awayType)
	{
		case iChatProtocol::iChatIdle:
				m_account->setPresence(m_account->protocol()->iChatKOSIdle, getSelectedAwayMessage());
				break;
		case iChatProtocol::iChatDND:
				m_account->setPresence(m_account->protocol()->iChatKOSDND, getSelectedAwayMessage());
				break;
		default:
				kdDebug(ICHAT_DEBUG_GLOBAL) << k_funcinfo << "Warning: Unknown away type!" << endl;
				break;
	}

}
