/***************************************************************************
*   Copyright (C) 2003 by Graham Dennis                                   *
*   u3952328@anu.edu.au                                                   *
*                                                                         *
*   Permission is hereby granted, free of charge, to any person obtaining *
*   a copy of this software and associated documentation files (the       *
*   "Software"), to deal in the Software without restriction, including   *
*   without limitation the rights to use, copy, modify, merge, publish,   *
*   distribute, sublicense, and/or sell copies of the Software, and to    *
*   permit persons to whom the Software is furnished to do so, subject to *
*   the following conditions:                                             *
*                                                                         *
*   The above copyright notice and this permission notice shall be        *
*   included in all copies or substantial portions of the Software.       *
*                                                                         *
*   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,       *
*   EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF    *
*   MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.*
*   IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR     *
*   OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, *
*   ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR *
*   OTHER DEALINGS IN THE SOFTWARE.                                       *
***************************************************************************/

#ifndef __REZ_H
#define __REZ_H


#include "common.h"
#include "protocol.h"

namespace Rendezvous
{

	class MSGProtV1;

	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//							MSGProtocol-specific classes									//
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

	class MSGProtV1 : public MSGProtocol
				/*  Virtuals to be filled from MSGProtocol:
					virtual int ProcessMessages(SocketIPC*) =0;
				*/
	{
	public:
		MSGProtV1(Instance*);
		virtual ~MSGProtV1();

		int ProcessMessages( IPC* );

		static int TranslateNum( Message *, IPC*, const char*, unsigned long& );
		static int TranslateNum( Message *, IPC*, const char*, unsigned int& );

		static int	DefaultHandler	( Message*, IPC* );
		static int	NullHandler		( Message*, IPC*);
	};
};
#endif
