
/***************************************************************************
                          dlgichatvcard.cpp  -  vCard dialog
                             -------------------
    begin                : Thu Aug 08 2002
    copyright            : (C) 2002-2003 by Till Gerken <till@tantalo.net>
    email                : kopete-devel@kde.org

    Rewritten version of the original dialog

 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qpushbutton.h>
#include <qtextedit.h>
#include <qlabel.h>

#include <klineedit.h>
#include <ktextbrowser.h>
#include <klocale.h>
#include <qcheckbox.h>

#include "tasks.h"

#include "dlguserinfo.h"
#include "dlgichatvcard.h"
#include "ichatcontact.h"

/*
 *  Constructs a dlgiChatVCard which is a child of 'parent', with the
 *  name 'name'
 *
 */
dlgiChatVCard::dlgiChatVCard (QWidget * parent, const char *name, iChatContact* jc):dlgVCard (parent, name)
{

	if (jc != NULL)
	{
		// populate all fields from the Contact
		assignVCard (jc);
	}

	connect (btnClose, SIGNAL (clicked ()), this, SLOT (slotClose ()));

	setReadOnly (true);

}

/*
 *  Destroys the object and frees any allocated resources
 */
dlgiChatVCard::~dlgiChatVCard ()
{
	// no need to delete child widgets, Qt does it all for us
}

/*
 * Assign new vCard data to this dialog
 */
void dlgiChatVCard::assignVCard (iChatContact* jc)
{
	leFirstName->setText (jc->getFirstName ());
	leLastName->setText (jc->getLastName());
	leEmail->setText(jc->getEmail());
	leAIM->setText(jc->getAIM());
	leIdleTime->setText(jc->getIdleStr());
	mStatusMessage->setText(jc->getStatusMsg());
	mVideo->setChecked(jc->getVideo());
	mAudio->setChecked(jc->getAudio());
	if(!jc->getBuddyImage().isNull())
		mBuddyImage->setPixmap(jc->getBuddyImage());
}

/*
 * Close the dialog window
 */
void dlgiChatVCard::slotClose ()
{

	delete this;

}

void dlgiChatVCard::setReadOnly (bool b)
{
	leFirstName->setReadOnly(b);
	leLastName->setReadOnly(b);
	leEmail->setReadOnly(b);
	leAIM->setReadOnly(b);
	leIdleTime->setReadOnly(b);
	mStatusMessage->setReadOnly(b);
//	mVideo->setEnabled(!b);
//	mAudio->setEnabled(!b);

	mIsReadOnly = b;

}

#include "dlgichatvcard.moc"

/*
 * Local variables:
 * c-indentation-style: k&r
 * c-basic-offset: 8
 * indent-tabs-mode: t
 * End:
 */
// vim: set noet ts=4 sts=4 sw=4:
