
/***************************************************************************
                   ichataccountwidget.h  -  Account widget for iChat
                             -------------------
    begin                : Mon Dec 9 2002
    copyright            : (C) 2002-2003 by Till Gerken <till@tantalo.net>
                           Based on code by Olivier Goffart <ogoffart@tiscalinet.be>
    email                : kopete-devel@kde.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ICHATEDITACCOUNTWIDEGET_H
#define ICHATEDITACCOUNTWIDEGET_H

#include <qwidget.h>
#include "editaccountwidget.h"
#include "ichataccount.h"
#include "dlgichateditaccountwidget.h"
#include "ichatprotocol.h"

/**
  *@author Till Gerken <till@tantalo.net>
  */

class iChatProtocol;
class QCheckBox;
class QLineEdit;

class iChatEditAccountWidget:public DlgiChatEditAccountWidget, public EditAccountWidget
{

	Q_OBJECT

public:
	iChatEditAccountWidget (iChatProtocol * proto, iChatAccount *, QWidget * parent = 0, const char *name = 0);
	~iChatEditAccountWidget ();
	virtual bool validateData ();
	virtual KopeteAccount *apply ();
	bool settings_changed;

private:
	void reopen ();
	void writeConfig ();
	iChatProtocol *m_protocol;
	QPixmap customImage;
	QString buddyImageURL;
	QByteArray imagedata;

private slots:
	void configChanged ();
	void buddyImageClicked();

};

#endif
