/*
    rendezvousawaydialog.cpp - Away dialog for Rendezvous

    Copyright (c) 2003 by Till Gerken <till@tantalo.net>
    Kopete    (c) 2003 by the Kopete developers  <kopete-devel@kde.org>

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/

#include <kdebug.h>
#include "rendezvousaccount.h"
#include "rendezvousawaydialog.h"

RendezvousAwayDialog::RendezvousAwayDialog(RendezvousAccount *account, QWidget* parent, const char* name):
									KopeteAwayDialog(parent, name)
{

	m_account = account;

}

RendezvousAwayDialog::~RendezvousAwayDialog()
{
}

void RendezvousAwayDialog::setAway(int awayType)
{

	switch(awayType)
	{
		case RendezvousProtocol::RendezvousIdle:
				m_account->setPresence(m_account->protocol()->RendezvousKOSIdle, getSelectedAwayMessage());
				break;
		case RendezvousProtocol::RendezvousDND:
				m_account->setPresence(m_account->protocol()->RendezvousKOSDND, getSelectedAwayMessage());
				break;
		default:
				kdDebug(RENDEZVOUS_DEBUG_GLOBAL) << k_funcinfo << "Warning: Unknown away type!" << endl;
				break;
	}

}
