
/***************************************************************************
                   rendezvousaccountwidget.h  -  Account widget for Rendezvous
                             -------------------
    begin                : Mon Dec 9 2002
    copyright            : (C) 2002-2003 by Till Gerken <till@tantalo.net>
                           Based on code by Olivier Goffart <ogoffart@tiscalinet.be>
    email                : kopete-devel@kde.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef RENDEZVOUSEDITACCOUNTWIDEGET_H
#define RENDEZVOUSEDITACCOUNTWIDEGET_H

#include <qwidget.h>
#include "editaccountwidget.h"
#include "rendezvousaccount.h"
#include "dlgrendezvouseditaccountwidget.h"
#include "rendezvousprotocol.h"

/**
  *@author Till Gerken <till@tantalo.net>
  */

class RendezvousProtocol;
class QCheckBox;
class QLineEdit;

class RendezvousEditAccountWidget:public DlgRendezvousEditAccountWidget, public EditAccountWidget
{

	Q_OBJECT

public:
	RendezvousEditAccountWidget (RendezvousProtocol * proto, RendezvousAccount *, QWidget * parent = 0, const char *name = 0);
	~RendezvousEditAccountWidget ();
	virtual bool validateData ();
	virtual KopeteAccount *apply ();
	bool settings_changed;

private:
	void reopen ();
	void writeConfig ();
	RendezvousProtocol *m_protocol;
	QPixmap customImage;
	QString buddyImageURL;
	QByteArray imagedata;

private slots:
	void configChanged ();
	void buddyImageClicked();

};

#endif
